#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-37meSW8ebg2SwVt1zFe1s-dns-internal
key:                  dns-4.1.1-37meSW8ebg2SwVt1zFe1s-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  77e68b4e555e000871e80872b7b8c195
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-37meSW8ebg2SwVt1zFe1s-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-FKfvvqWRs5hKqVa0zqZISU
    attoparsec-0.14.4-3uzSp4DJeNe8DMv46inf7D
    auto-update-0.1.6-88PKno1DLq9FlvSTlLLUJ2 base-4.16.4.0
    base16-bytestring-1.0.2.0-782qI6Y9xiJ9xGN2Wl1pB
    base64-bytestring-1.2.1.0-GUcXE9RwiT43BOntrMFXuK
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-70bos50a2k8AE0jNL30hL3
    containers-0.6.5.1 cryptonite-0.30-GtEynolGWCjI01Ni8Hp5Bz
    hourglass-0.2.12-5VgAUtHEa0i6r7OiCZkAkK
    iproute-1.7.14-9v6q3oTDKaG2vV5vbBWYtk mtl-2.2.2
    network-3.1.4.0-JtPWZ6x3npl2gpyraNkSVD
    psqueues-0.2.8.1-2FLPguQsEE43c6xYxIx4da

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-2B7NzIcIqt9AFgydrQeSP
key:                  dns-4.1.1-2B7NzIcIqt9AFgydrQeSP
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  95f749af889e93e9866f2d59f26d9832
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-2B7NzIcIqt9AFgydrQeSP
depends:
    array-0.5.4.0 async-2.2.5-FKfvvqWRs5hKqVa0zqZISU
    attoparsec-0.14.4-3uzSp4DJeNe8DMv46inf7D
    auto-update-0.1.6-88PKno1DLq9FlvSTlLLUJ2 base-4.16.4.0
    base16-bytestring-1.0.2.0-782qI6Y9xiJ9xGN2Wl1pB
    base64-bytestring-1.2.1.0-GUcXE9RwiT43BOntrMFXuK
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-GtEynolGWCjI01Ni8Hp5Bz
    dns-4.1.1-37meSW8ebg2SwVt1zFe1s-dns-internal
    hourglass-0.2.12-5VgAUtHEa0i6r7OiCZkAkK
    iproute-1.7.14-9v6q3oTDKaG2vV5vbBWYtk mtl-2.2.2
    network-3.1.4.0-JtPWZ6x3npl2gpyraNkSVD
    psqueues-0.2.8.1-2FLPguQsEE43c6xYxIx4da

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

